#include <bits/stdc++.h>
#include "testlib.h"


using namespace std;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    inf.readLong(-(long long)1e12, (long long)1e12, "x");
    inf.readSpace();
    inf.readLong(1, (long long)1e12, "k");
    inf.readEoln();
    inf.readEof();
}